Skip to main content

Set WhatsApp Image Status

Agent Skill

Automate this endpoint with an AI agent using the 2chat-whatsapp skill:

npx skills add 2ChatCo/agent-skills -s 2chat-whatsapp

This endpoint will let you set an ephemeral image as the status of your WhatsApp account using a publicly accessible image URL.

This status will show up as an update similar to Instagram statuses.

Parameters​

These parameters should be sent as JSON payload in the request body.

FieldDescriptionExample values
image_urlA publicly accessible URL pointing to the image filehttps://2chat.co/img/benefits/en/scale_without_limits.webp

Invocation​

Make a POST request to https://api.p.2chat.io/open/whatsapp/set-image-status/<number> where <number> is the phone number that you have connected to 2Chat.

curl --location --request POST 'https://api.p.2chat.io/open/whatsapp/set-image-status/+5491124837650' \
--header 'X-User-API-Key: your_api_key_here' \
--header 'Content-Type: application/json' \
--data-raw '{
"image_url": "https://2chat.co/img/benefits/en/scale_without_limits.webp"
}'

Response​

The API will return whether it succeded or not to queue the request for processing

{
"success": true,
}